<h1>Formulario<small>  Doña Clarita</small></h1>
<hr>
<app-navar></app-navar>



<div class="row text-right">
    <div class="col">
        <button class="btn btn-danger" routerLink="/habitaciones">
            <i class="fa fa-arrow-left"></i>
            Regresar
        </button>
    </div>
</div>

<div class="row animated fadeIn faster">
    <div class="col">
        <form (ngSubmit)="guardar( f )" #f="ngForm">
            <div class="form-group">
                <label>Firebase ID</label>
                <input type="text" class="form-control" placeholder="Firebase ID" [(ngModel)]="habitacion.id" name="id" disabled="disabled">
                <small class="form-text text-muted">Este campo es autogenerado</small>
            </div>

            <div class="form-group">
                <label>Nombre</label>
                <input type="text" class="form-control" placeholder="Nombre" [(ngModel)]="habitacion.nombre" name="nombre" required>
            </div>

            <div class="form-group">
                <label>Apellido</label>
                <input type="text" class="form-control" placeholder="Apellido" [(ngModel)]="habitacion.apellido" name="apellido" required>
            </div>

            <div class="form-group">
                <label>correo</label>
                <input type="text" class="form-control" placeholder="correo" [(ngModel)]="habitacion.correo" name="correo" required>
            </div>

            <div class="form-group">
                <label>Habitacion</label>
                <input type="text" class="form-control" placeholder="habitacion" [(ngModel)]="habitacion.habitacion" name="habitacion" required>
            </div>

            <div class="form-group">
                <label>Empresa perteneciente</label>
                <input type="text" class="form-control" placeholder="nombre de la Empresa" [(ngModel)]="habitacion.empresa" name="alimentacion" required>
            </div>

            <div class="form-group">
                <label>Tipo Cama</label>
                <input type="text" class="form-control" placeholder="Tipo de Cama" name="Tipocama" [(ngModel)]="habitacion.tipocama" required>
            </div>

            <div class="form-group">
                <label>Precio</label>
                <input type="text" class="form-control" placeholder="Precio de la habitacion" [(ngModel)]="habitacion.preciohabitacion" name="preciohabitacio" required>
            </div>


            <div class="form-group">
                <label>Estado</label>
                <br>
                <button *ngIf="habitacion.disponible" (click)="habitacion.disponible = false" class="btn btn-outline-success" tipe="button">
                    <i class="fa fa-smile-wink"></i>
                    Disponible
                </button>

                <button *ngIf="!habitacion.disponible" (click)="habitacion.disponible = true" class="btn btn-outline-danger" tipe="button">
                    <i class="fa fa-dizzy"></i>
                    No-Disponoble
                </button>
            </div>




            <hr>
            <div class="form-group text-center">
                <button class="btn btn-primary w-25" type="submit">
                <i class="fa fa-save"> Guardar</i>
            </button>
            </div>

        </form>

    </div>
</div>